package controller

import (
	"github.com/rs/zerolog"
	"web-qudo-be/app/module/custom_static_pages/service"
)

type Controller struct {
	CustomStaticPages CustomStaticPagesController
}

func NewController(CustomStaticPagesService service.CustomStaticPagesService, log zerolog.Logger) *Controller {
	return &Controller{
		CustomStaticPages: NewCustomStaticPagesController(CustomStaticPagesService, log),
	}
}
